These community forums are free for anyone to use, they provide support for OpenUnderwriter related matters. Please note, you must register with the website and login to post messages and questions, this helps reduce spam.

Support Forum

Eclipse Build error

Eclipse Build error

I am using Windows Eclipse and trying to set up a development environment. I get the following errors, when I run Ant Build - Setup.  I tried with Trunk and 2.1SP . Results are the same.



[ivy:retrieve]         ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve]         ::          UNRESOLVED DEPENDENCIES         ::
[ivy:retrieve]         ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve]         :: commons-collections#commons-collections;3.2.1: configuration not found in commons-collections#commons-collections;3.2.1: 'compile'. It was required from commons-beanutils#commons-beanutils-core;1.7.0 compile
[ivy:retrieve]         ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve]
[ivy:retrieve]
[ivy:retrieve] :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS

BUILD FAILED
C:\Users\srangaiah\workspace\openunderwriter\2.1SP1\Build.xml:48: The following error occurred while executing this line:
C:\Users\srangaiah\workspace\openunderwriter\2.1SP1\build\macros\Common.xml:156: The following error occurred while executing this line:
C:\Users\srangaiah\workspace\openunderwriter\2.1SP1\build\Build.xml:22: The following error occurred while executing this line:
C:\Users\srangaiah\workspace\openunderwriter\2.1SP1\build\macros\RepositoryMacros.xml:37: impossible to resolve dependencies:
    resolve failed - see output for details

Total time: 8 seconds

Administrator has disabled public posting. Please login or register in order to proceed.

Re: Eclipse Build error

Hi,

Can I ask which version of Eclipse you are running

Regards
Mark

Administrator has disabled public posting. Please login or register in order to proceed.

Re: Eclipse Build error

Hi

I'd like to point you to this confluence page [Build Guide], I suspect you are running with Luna which has a different version of Ant.


Regards
Mark

Administrator has disabled public posting. Please login or register in order to proceed.

Re: Eclipse Build error

I tried with both Indigo and Luna. I will check the  ant Version as noted below and get back.

Administrator has disabled public posting. Please login or register in order to proceed.

Re: Eclipse Build error

I tried with Kepler and I have the same problem. I have JDK1.7... Is it mandatory to have JDK1.6?

Sanjeev

Administrator has disabled public posting. Please login or register in order to proceed.

Re: Eclipse Build error

JDK1.7 should be fine with the latest build.

Administrator has disabled public posting. Please login or register in order to proceed.

Re: Eclipse Build error

Hi srangaiah,

Try running: ant -verbose setup

Hopefully that will unearth a clue of some kind. We run the build exactly the way that you are every day, as does our CI server, so I don't imagine there is any fundamental problem with the build or its dependencies. Possibly an infrastructure/network issue? But I'm only guessing.

Let us know how you get on.

Ta.,
Richard.

dickanderson
OpenUnderwriter lead developer
useravatar
Offline
309 Posts
Male  Website 
Administrator has disabled public posting. Please login or register in order to proceed.
There are 0 guests and 0 other users also viewing this topic

Connect

Get in touch with the team

     

OpenUnderwriter

20-22 Wenlock Road
London
N1 7GU
United Kingdom

Contact

 contact@openunderwriter.com
 +44 (0)20 7183 4578
 Contact form